import { TemplateRef, QueryList, EventEmitter } from '@angular/core';
import { MatAccordion } from '@angular/material/expansion';
import * as i0 from "@angular/core";
export declare class SdsAccordionTitleDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsAccordionTitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsAccordionTitleDirective, "sds-accordion-title", never, {}, {}, never, never, false, never>;
}
export declare class SdsAccordionContentDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsAccordionContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsAccordionContentDirective, "sds-accordion-content", never, {}, {}, never, never, false, never>;
}
export declare class SdsAccordionItemComponent {
    itemTitleTemplate: TemplateRef<any>;
    itemContentTemplate: TemplateRef<any>;
    expanded: boolean;
    disabled: boolean;
    /** Toggles the expanded state of the expansion panel. */
    toggle(): void;
    /** Sets the expanded state of the expansion panel to false. */
    close(): void;
    /** Sets the expanded state of the expansion panel to true. */
    open(): void;
    /** Toggles the disabled state of the expansion panel. */
    toggleDisabled(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsAccordionItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsAccordionItemComponent, "sds-accordion-item", never, { "expanded": { "alias": "expanded"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["sds-accordion-title", "sds-accordion-content"], false, never>;
}
export declare class SdsAccordionComponent {
    accordion: MatAccordion;
    accordionItems: QueryList<SdsAccordionItemComponent>;
    multi: boolean;
    multiChange: EventEmitter<boolean>;
    displayMode: string;
    collapsedHeight: any;
    expandedHeight: any;
    constructor();
    /** Opens all accordion items. */
    openAll(): void;
    /** Closes all accordion items. */
    closeAll(): void;
    /** Toggles the multi state of the accordion. */
    toggleMulti(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsAccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdsAccordionComponent, "sds-accordion-next", never, { "multi": { "alias": "multi"; "required": false; }; "displayMode": { "alias": "displayMode"; "required": false; }; "collapsedHeight": { "alias": "collapsedHeight"; "required": false; }; "expandedHeight": { "alias": "expandedHeight"; "required": false; }; }, { "multiChange": "multiChange"; }, ["accordionItems"], never, false, never>;
}
